version: "3.9"
services:
  app:
    image: moamenqasem/assignment:${IMAGE_TAG}
    restart: always
    ports:
      - "7878:8090"
    environment:
      SPA: mysql
      SPRING_DATASOURCE_URL: jdbc:mysql://database:3306/assignment?allowPublicKeyRetrieval=true
      SPRING_DATASOURCE_USERNAME: momen
      SPRING_DATASOURCE_PASSWORD: P@ssw0rd
    volumes:
      - app:/app
    depends_on:
      - database
  database:
    image: mysql
    restart: always
    ports:
      - "3306:3306"
    environment:
      MYSQL_ROOT_PASSWORD: P@ssw0rd
      MYSQL_USER: momen
      MYSQL_PASSWORD: P@ssw0rd
      MYSQL_DATABASE: assignment
    volumes:
      - database:/var/lib/mysql
volumes:
  app: {}
  database: {}

